## org.mortbay.servlet
Class NotFoundServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.mortbay.servlet.NotFoundServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class NotFoundServlet
extends HttpServlet

Not Found Servlet. Utility servlet to protect a URI by always responding with 404.

Version:
  $Revision: 1.2 $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`NotFoundServlet()`

Method Summary
`void` `doGet(HttpServletRequest req, HttpServletResponse res)`
`void` `doPost(HttpServletRequest req, HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotFoundServlet

    public NotFoundServlet()

Method Detail

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse res)
                throws ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse res)
               throws ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.